=== debian/changelog ===
exaile (0.3.2.2-3) unstable; urgency=low

  * Add suggests to exaile on python-avahi for the DAAP client/server plugin.
    (Closes: #669896)
  * Add versioned dependency on exaile (= ${source:Version}) for each of the
    plugin packages.
  * Add versioned dependency to exaile on python-mutagen (>= 1.10).
  * Add build-dep on python-gobject (>= 2.18) to fix python ImportError when
    creating manpage during build.
  * Remove build-dep on python-gtk2.
  * Merge Build-Depends and Build-Depends-Indep fields; src:exaile only builds
    arch:all packages anyways, so there's no point separating the build-deps.
  * Add debian/README.source and include build instructions, and workarounds
    to avoid exaile FTBFS when built with pbuilder/cowbuilder/sbuild.
  * Update debhelper compatibility level from 8 to 9.
  * Update Standards version from 3.9.2 to 3.9.3, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 03 May 2012 23:03:33 -0700

exaile (0.3.2.2-2) unstable; urgency=low

  * Drop libgtk2.0-dev, intltool, intltool-debian from build dependencies.
  * Split contextinfo, ipod, and moodbar plugins into separate binary
    packages (and add debian/NEWS file to mention this change).
  * Merge Exaile's list of dependencies in Debian and Ubuntu:
    - Debian: remove dependency on python-sqlite2, libgstreamer0.10-0,
      gstreamer0.10-plugins-base, gstreamer0.10-alsa | gstreamer0.10-esd,
      python-glade2, python-pyvorbis, python-feedparser; remove recommends on
      python-gamin, python-gtkmozembed.
    - Ubuntu: remove depends/recommends on hal, python-sexy; remove suggests
      on gstreamer0.10-plugins-{ugly,bad}-multiverse.
  * Remove debian/patches/makefile_prefix.patch; use an override target in
    debian/rules instead to change prefix path.
  * Backport 128x128 icon from upstream to avoid displaying a pixelated icon
    in Unity's Dash.
    - Import debian/patches/20_dash_icon.patch from Ubuntu to not install
      48x48 icon.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 02 Dec 2011 21:11:06 -0800

exaile (0.3.2.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Add recommends of python-eggtrayicon (for the Drop Trayicon plugin) and
    python-beautifulsoup (for the Lyrics Wiki plugin).
  * Transition from dh_pysupport to dh_python2; remove build dependency
    on python-support.
  * Remove build dependency on libjs-prototype; the httpserver plugin was
    removed in the Exaile 0.3 series.
  * Add debian/patches/debian_defaults.patch; patch imported from Ubuntu for
    saner default options in Exaile.
  * Remove unneeded debian/pyversions.
  * Add license for plugins/* in debian/copyright.
  * Add Vcs-* fields to debian/control.
  * Update debhelper compatiblity level from 7 to 8.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 18 Jul 2011 23:38:35 -0700

exaile (0.3.2.1-2) unstable; urgency=low

  * Adopting package; change maintainer field in debian/control to:
    Vincent Cheng <Vincentc1208@gmail.com>. (Closes: #624358)
  * Update debhelper compatiblity level from 5 to 7.
  * Update Standards version from 3.8.1 to 3.9.2, no changes required.
  * Update debian/copyright to conform to DEP-5.
  * Update debian/rules to dh 7 "rules.tiny" style.
  * Add package help2man to build-depends.
  * Add manpage for /usr/bin/exaile.
  * Add debian/patches/makefile_prefix.patch to fix the PREFIX= paths in
    Exaile's makefiles (/usr/local -> /usr).
  * Remove unneeded technical terms from description. (Closes: #443085)
  * Remove recommends of python-eggtrayicon. (Closes: #560985)
  * Add recommends of gstreamer0.10-ffmpeg. (Closes: #596906)
  * Add recommends of python-pymtp. (Closes: #585107)
  * Bugs fixed upstream:
    - "Automatic library scan not working". (Closes: #436242)
    - "Exaile: use an http proxy". (Closes: #407503)
    - Fix Exaile's inability to sort with multiple options. (Closes: #444185)
    - Make cover art optional. (Closes: #444227)
    - "Exaile: bad settings.ini configuration file" - should be fixed with
      settings upgrade mechanism introduced in Exaile 0.3. (Closes: #439932)
    - "Cover art embedded in MP3 not displayed". (Closes: #444228)
    - Fix album cover fetching from Amazon. (Closes: #468942)
    - "Fails to use more than one GENRE tag". (Closes: #442941)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 06 May 2011 20:04:37 -0700

exaile (0.3.2.1-1) unstable; urgency=low

  * QA upload, orphaning the package. (See #624358)
  * New upstream release:
    - Fix startup crash (Closes: #622282)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 27 Apr 2011 21:51:26 +0200

exaile (0.3.2.0-0.1) unstable; urgency=low

  * Non-maintainer upload.
    - New upstream release (Closes: #576847).
    - Move to packaging format "3.0 (quilt)".
  * debian/control
    - (Build-Depends): Remove quilt.
  * debian/patches
    - Remove directory. No longer needed for current release.
  * debian/rules
    - Remove quilt dependency.
    - (install): Comment out lines not applicable any more.
  * debian/watch
    - Update regexp to point to launcpad.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 15 Oct 2010 09:19:39 +0300

exaile (0.2.14+debian-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Depends on elementtree" (provided by python >= 2.5). Thanks to Luca
    Falavigna and Jakub Wilk (Closes: #562460)

 -- Jan Hauke Rahm <jhr@debian.org>  Mon, 11 Jan 2010 18:21:01 +0100

exaile (0.2.14+debian-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Really fix the prototype issue. Last upload introduced total nonsense due
    to working on different packages at the same time. Sorry! Thanks to Ralf
    Treinen and Xavier Lüthi for discovering it! (Closes: #555244, #558219)

 -- Jan Hauke Rahm <jhr@debian.org>  Tue, 01 Dec 2009 10:17:01 +0100

exaile (0.2.14+debian-2.1) unstable; urgency=low

  * Non-maintainer upload.

