=== debian/control ===
Source: exaile
Section: sound
Priority: optional
Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends: debhelper (>= 9),
               help2man,
               python (>= 2.6.6-3~),
               python-gobject (>= 2.18)
X-Python-Version: >= 2.5
Standards-Version: 3.9.3
Homepage: http://www.exaile.org/
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/exaile/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/exaile/trunk

Package: exaile
Architecture: all
Depends: gstreamer0.10-plugins-good,
         librsvg2-common,
         python (>= 2.5),
         python-dbus,
         python-gobject (>= 2.18),
         python-gst0.10,
         python-gtk2 (>= 2.17),
         python-mutagen (>= 1.10),
         ${misc:Depends},
         ${python:Depends}
Recommends: gstreamer0.10-ffmpeg,
            python-cddb,
            python-mmkeys,
            python-notify
Suggests: exaile-plugin-contextinfo,
          exaile-plugin-ipod,
          exaile-plugin-moodbar,
          exfalso,
          gstreamer0.10-plugins-bad,
          gstreamer0.10-plugins-ugly,
          ipython,
          notify-osd,
          python-avahi,
          python-beautifulsoup,
          python-eggtrayicon,
          python-pymtp,
          streamripper
Description: flexible, full-featured audio player
 Exaile is a media player which incorporates many of the cool things from
 Amarok (and other media players) like automatic fetching of album art,
 handling of large libraries, lyrics fetching, artist/album information via
 Wikipedia, last.fm support, and optional iPod support (assuming you have
 python-gpod installed).
 .
 In addition, Exaile also includes a built-in shoutcast directory
 browser, tabbed playlists (so you can have more than one playlist open
 at a time), blacklisting of tracks (so they don't get scanned into your
 library), downloading of guitar tablature from fretplay.com, and
 submitting played tracks on your iPod to last.fm.
 .
 Exaile aims to be similar to AmaroK, but uses Python and GTK+.

Package: exaile-plugin-contextinfo
Architecture: all
Depends: exaile (= ${source:Version}),
         python-imaging,
         python-webkit (>= 1.1.2),
         ${misc:Depends},
         ${python:Depends}
Description: Exaile plugin for contextual information
 This Exaile plugin adds a sidepanel for contextual information based on
 the Exaile internal tags and statistics, on lyrics plugins, and on the
 LastFM API.
 .
 Exaile is a media player which incorporates many of the cool things from
 Amarok (and other media players) like automatic fetching of album art,
 handling of large libraries, lyrics fetching, artist/album information via
 Wikipedia, last.fm support, and optional iPod support (assuming you have
 python-gpod installed).
 .
 In addition, Exaile also includes a built-in shoutcast directory
 browser, tabbed playlists (so you can have more than one playlist open
 at a time), blacklisting of tracks (so they don't get scanned into your
 library), downloading of guitar tablature from fretplay.com, and
 submitting played tracks on your iPod to last.fm.
 .
 Exaile aims to be similar to AmaroK, but uses Python and GTK+.

Package: exaile-plugin-ipod
Architecture: all
Depends: exaile (= ${source:Version}),
         python-gpod,
         ${misc:Depends},
         ${python:Depends}
Description: Exaile plugin for iPod support
 This Exaile plugin adds support for the iPod portable media players in the
 Exaile device manager.
 .
 Exaile is a media player which incorporates many of the cool things from
 Amarok (and other media players) like automatic fetching of album art,
 handling of large libraries, lyrics fetching, artist/album information via
 Wikipedia, last.fm support, and optional iPod support (assuming you have
 python-gpod installed).
 .
 In addition, Exaile also includes a built-in shoutcast directory
 browser, tabbed playlists (so you can have more than one playlist open
 at a time), blacklisting of tracks (so they don't get scanned into your
 library), downloading of guitar tablature from fretplay.com, and
 submitting played tracks on your iPod to last.fm.
 .
 Exaile aims to be similar to AmaroK, but uses Python and GTK+.

Package: exaile-plugin-moodbar
Architecture: all
Depends: exaile (= ${source:Version}),
         moodbar,
         ${misc:Depends},
         ${python:Depends}
Description: Exaile plugin for moodbar
 This Exaile plugin turns the progress bar of the tracks into a bar which
 color depends on the tracks' mood.
 .
 Exaile is a media player which incorporates many of the cool things from
 Amarok (and other media players) like automatic fetching of album art,
 handling of large libraries, lyrics fetching, artist/album information via
 Wikipedia, last.fm support, and optional iPod support (assuming you have
 python-gpod installed).
 .
 In addition, Exaile also includes a built-in shoutcast directory
 browser, tabbed playlists (so you can have more than one playlist open
 at a time), blacklisting of tracks (so they don't get scanned into your
 library), downloading of guitar tablature from fretplay.com, and
 submitting played tracks on your iPod to last.fm.
 .
 Exaile aims to be similar to AmaroK, but uses Python and GTK+.
