=== debian/rules ===
#!/usr/bin/make -f

# Note: This package cannot be built with root/fakeroot. Please refer to
# debian/README.source for a detailed explanation and workarounds.

%:
	dh $@ --with python2

# Don't run test suite.
override_dh_auto_test:

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/ PREFIX=/usr
	# Backport unreleased 128x128 icon. LP: #834566
	dh_install debian/exaile.png usr/share/pixmaps
	find * -name 'COPYING' -delete
	dh_install

override_dh_python2:
	dh_python2 -pexaile
	dh_python2 -pexaile-plugin-contextinfo /usr/share/exaile/plugins/
	dh_python2 -pexaile-plugin-ipod /usr/share/exaile/plugins/
	dh_python2 -pexaile-plugin-moodbar /usr/share/exaile/plugins/
