## exaile 3.3.1

=== debian/changelog ===
exaile (3.3.1-1ubuntu1) saucy; urgency=low

  * Use logind over ConsoleKit to shut the system down 

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 02 May 2013 00:44:02 +0100

exaile (3.3.1-1) unstable; urgency=low

  * New upstream release.
  * Remove unused lintian overrides.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 15 Nov 2012 16:01:08 -0800

exaile (3.3.0-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Add lintian override for executable-not-elf-or-script.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 22 Sep 2012 16:05:32 -0700

exaile (3.3.0~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 14 Sep 2012 23:02:52 -0700

exaile (3.3.0~rc1-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream release candidate.
    - Fix crash when playlist contains ogg file rather after mp3 file.
      (Closes: #672574)
    - Fix segmentation fault while fetching cover art. (Closes: #625950)
    - Fix parser error when adding radio stream. (Closes: #649371)
    - Remove debian/patches/20_dash_icon.patch and debian/exaile.png;
      no longer needed.
    - Refreshing remaining patches.
  * Update X-Python-Version value in debian/control to >= 2.6.
  * Pass --fail-missing to dh_install to make sure that we install everything.
    - New plugins included in package: history, musicbrainzcovers, abrepeat,
      inhibitsuspend, mainmenubutton, bpm, osd, previewdevice,
      lastfmlove, wikipedia, grouptagger.
  * Update debian/watch file.
  * Set DMUA flag in debian/control, as per agreement with sponsor.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 10 Sep 2012 01:02:37 -0700
