=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: exaile
 Section: sound
 Priority: optional
-Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
 Build-Depends: debhelper (>= 9),
                help2man,
                python (>= 2.6.6-3~),
                python-gobject (>= 2.18)
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 Standards-Version: 3.9.3
+DM-Upload-Allowed: yes
 Homepage: http://www.exaile.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/exaile/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/exaile/trunk
