=== po/Makefile ===
locale:
	find . -name "*.po" -exec ../tools/compilepo.sh {} \;
