=== debian/changelog ===
exaile (3.3.2-1) unstable; urgency=low

  * New upstream release.
  * Add debian/patches/20_use-logind-to-shutdown.patch: allow shutdown plugin
    to support both logind in addition to ConsoleKit. Thanks to Iain Lane.
  * Remove references to Shoutcast in package descriptions. (Closes: #721682)
  * (Re-)add lintian override for executable-not-elf-or-script.
  * Fix lintian warning vcs-field-not-canonical.
  * Remove deprecated DMUA flag in debian/control.
  * Update Standards version from 3.9.3 to 3.9.4, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 26 Oct 2013 16:55:00 -0700
