=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: exaile
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
+Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
 Build-Depends: debhelper (>= 9),
                help2man,
                python (>= 2.6.6-3~),
                python-gobject (>= 2.18)
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 Homepage: http://www.exaile.org/
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/exaile/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/exaile/trunk
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/exaile/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/exaile/trunk
 
 Package: exaile
 Architecture: all
@@ -50,11 +48,10 @@
  Wikipedia, last.fm support, and optional iPod support (assuming you have
  python-gpod installed).
  .
- In addition, Exaile also includes a built-in shoutcast directory
- browser, tabbed playlists (so you can have more than one playlist open
- at a time), blacklisting of tracks (so they don't get scanned into your
- library), downloading of guitar tablature from fretplay.com, and
- submitting played tracks on your iPod to last.fm.
+ In addition, Exaile also includes tabbed playlists (so you can have more
+ than one playlist open at a time), blacklisting of tracks (so they don't
+ get scanned into your library), downloading of guitar tablature from
+ fretplay.com, and submitting played tracks on your iPod to last.fm.
  .
  Exaile aims to be similar to AmaroK, but uses Python and GTK+.
 
@@ -76,11 +73,10 @@
  Wikipedia, last.fm support, and optional iPod support (assuming you have
  python-gpod installed).
  .
- In addition, Exaile also includes a built-in shoutcast directory
- browser, tabbed playlists (so you can have more than one playlist open
- at a time), blacklisting of tracks (so they don't get scanned into your
- library), downloading of guitar tablature from fretplay.com, and
- submitting played tracks on your iPod to last.fm.
+ In addition, Exaile also includes tabbed playlists (so you can have more
+ than one playlist open at a time), blacklisting of tracks (so they don't
+ get scanned into your library), downloading of guitar tablature from
+ fretplay.com, and submitting played tracks on your iPod to last.fm.
  .
  Exaile aims to be similar to AmaroK, but uses Python and GTK+.
 
@@ -100,11 +96,10 @@
  Wikipedia, last.fm support, and optional iPod support (assuming you have
  python-gpod installed).
  .
- In addition, Exaile also includes a built-in shoutcast directory
- browser, tabbed playlists (so you can have more than one playlist open
- at a time), blacklisting of tracks (so they don't get scanned into your
- library), downloading of guitar tablature from fretplay.com, and
- submitting played tracks on your iPod to last.fm.
+ In addition, Exaile also includes tabbed playlists (so you can have more
+ than one playlist open at a time), blacklisting of tracks (so they don't
+ get scanned into your library), downloading of guitar tablature from
+ fretplay.com, and submitting played tracks on your iPod to last.fm.
  .
  Exaile aims to be similar to AmaroK, but uses Python and GTK+.
 
@@ -124,10 +119,9 @@
  Wikipedia, last.fm support, and optional iPod support (assuming you have
  python-gpod installed).
  .
- In addition, Exaile also includes a built-in shoutcast directory
- browser, tabbed playlists (so you can have more than one playlist open
- at a time), blacklisting of tracks (so they don't get scanned into your
- library), downloading of guitar tablature from fretplay.com, and
- submitting played tracks on your iPod to last.fm.
+ In addition, Exaile also includes tabbed playlists (so you can have more
+ than one playlist open at a time), blacklisting of tracks (so they don't
+ get scanned into your library), downloading of guitar tablature from
+ fretplay.com, and submitting played tracks on your iPod to last.fm.
  .
  Exaile aims to be similar to AmaroK, but uses Python and GTK+.
