=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,18 @@
 %:
 	dh $@ --with python2
 
+override_dh_auto_build:
+	$(MAKE) PYTHON2_CMD=/usr/bin/python
+
+override_dh_auto_install:
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/ PREFIX=/usr \
+	                PYTHON2_CMD=/usr/bin/python
+	find $(CURDIR) -name 'COPYING' -delete
+	# winmmkeys is a Windows-specific plugin
+	dh_install --fail-missing -Xwinmmkeys
+
 # Don't run test suite.
 override_dh_auto_test:
-
-override_dh_auto_install:
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/ PREFIX=/usr
-	# Backport unreleased 128x128 icon. LP: #834566
-	dh_install debian/exaile.png usr/share/pixmaps
-	find * -name 'COPYING' -delete
-	dh_install
 
 override_dh_python2:
 	dh_python2 -pexaile
