=== debian/watch ===
version=3
http://launchpad.net/exaile/ .*exaile-([\d.]+)\.tar\.gz
