## exaile 3.4.0.2

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	mkdir -p ${EXAILEBINDIR}
 	mkdir -p ${EXAILELIBDIR}
 	mkdir -p ${EXAILELIBDIR}/xl
+	mkdir -p ${EXAILELIBDIR}/xl/externals
 	mkdir -p ${EXAILELIBDIR}/xl/metadata
 	mkdir -p ${EXAILELIBDIR}/xl/player
 	mkdir -p ${EXAILELIBDIR}/xl/migrations
@@ -53,6 +54,7 @@
 	mkdir -p ${EXAILESHAREDIR}/data/migrations
 	mkdir -p ${EXAILESHAREDIR}/data/migrations/migration_200907100931
 	mkdir -p ${DESTDIR}${PREFIX}/share/pixmaps
+	mkdir -p ${DESTDIR}${PREFIX}/share/appdata
 	mkdir -p ${DESTDIR}${PREFIX}/share/applications
 	mkdir -p ${DESTDIR}${PREFIX}/share/man/man1
 	mkdir -p ${DESTDIR}${PREFIX}/share/dbus-1/services
@@ -77,6 +79,8 @@
 	install -m 644 exaile.py ${EXAILELIBDIR}	
 	-install -m 644 xl/*.py[co] ${EXAILELIBDIR}/xl
 	install -m 644 xl/*.py ${EXAILELIBDIR}/xl
+	-install -m 644 xl/metadata/*.py[co] ${EXAILELIBDIR}/xl/externals
+	install -m 644 xl/metadata/*.py ${EXAILELIBDIR}/xl/externals
 	-install -m 644 xl/metadata/*.py[co] ${EXAILELIBDIR}/xl/metadata
 	install -m 644 xl/metadata/*.py ${EXAILELIBDIR}/xl/metadata
 	-install -m 644 xl/player/*.py[co] ${EXAILELIBDIR}/xl/player
@@ -114,13 +118,15 @@
 	install -m 644 data/migrations/migration_200907100931/*.py \
 	    	${EXAILESHAREDIR}/data/migrations/migration_200907100931/
 	install -m 644 data/exaile.desktop \
-		${DESTDIR}${PREFIX}/share/applications/	
+		${DESTDIR}${PREFIX}/share/applications/
+	install -m 644 data/exaile.appdata.xml \
+		${DESTDIR}${PREFIX}/share/appdata/	
 	-install -m 644 exaile.1.gz ${DESTDIR}${PREFIX}/share/man/man1/
 	install -m 644 data/config/settings.ini ${EXAILECONFDIR}
 	tools/generate-launcher "${DESTDIR}" "${PREFIX}" "${LIBINSTALLDIR}" \
 		"${PYTHON2_CMD}" && \
 	  chmod 755 ${DESTDIR}${PREFIX}/bin/exaile
-	sed "s|\@bindir\@|${EXAILEBINDIR}|" data/org.exaile.Exaile.service.in > \
+	sed "s|\@bindir\@|${PREFIX}/bin|" data/org.exaile.Exaile.service.in > \
 		${DESTDIR}${PREFIX}/share/dbus-1/services/org.exaile.Exaile.service
 	${MAKE} -C plugins install
