=== debian/changelog ===
exaile (3.4.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Drop 20_use-logind-to-shutdown.patch, applied upstream.
    - Refresh remaining patches.
  * Update email address.
  * Update watch file.
  * Update Standards version from 3.9.4 to 3.9.5, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 03 Sep 2014 23:05:55 -0700
