=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/ PREFIX=/usr \
 	                PYTHON2_CMD=/usr/bin/python
-	find $(CURDIR) -name 'COPYING' -delete
+	find $(CURDIR) \( -name 'COPYING' -o -name 'LICENSE' \) -delete
 	# winmmkeys is a Windows-specific plugin
 	dh_install --fail-missing -Xwinmmkeys
