=== debian/watch ===
version=3
https://github.com/exaile-dev/exaile/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
