=== debian/changelog ===
exaile (3.4.3-1) unstable; urgency=medium

  * New upstream release.
    - Add build-dep on git because exaile now requires it for manpage 
      generation (via help2man).

 -- Vincent Cheng <vcheng@debian.org>  Mon, 15 Dec 2014 22:50:53 -0800

exaile (3.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 10 Nov 2014 00:21:43 -0800

exaile (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards version from 3.9.5 to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 01 Nov 2014 15:16:17 -0700
