=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends: debhelper (>= 9),
+               git,
                help2man,
                python (>= 2.6.6-3~),
                python-gobject (>= 2.18)
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.exaile.org/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/exaile/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/exaile/trunk
