=== debian/changelog ===
exaile (3.4.5-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 29 Apr 2015 01:34:19 -0700

exaile (3.4.4-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 18 Mar 2015 16:30:51 -0700
