## exaile 4.1.3~sparky7~0

=== debian/changelog ===
exaile (4.1.3~sparky7~0-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Thu, 03 Aug 2023 20:28:58 +0200
