=== debian/control ===
Source: exaile
Section: sound
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper (>= 9),
               help2man,
               python3 (>= 3.6)
Standards-Version: 3.9.5
Homepage: http://www.exaile.org/

Package: exaile
Architecture: all
Depends: librsvg2-common,
         python3 (>= 3.8),
         python3-bsddb3, 
         python3-mutagen (>= 1.38),
         python3-dbus,
         gstreamer1.0-plugins-base (>= 1.14),
         gstreamer1.0-plugins-good (>= 1.14),
         gstreamer1.0-libav,
         python3-gi (>= 3.22),
         python3-gi-cairo,
         gir1.2-gtk-3.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gst-plugins-base-1.0,
         gettext,
         udisks2,
         libnotify4,
         ${misc:Depends},
         ${python:Depends}
Recommends: sphinxbase-utils,
            forked-daapd,
            python3-zeroconf,
            python3-pylast,
            python3-lxml,
            python3-bs4,
            python3-musicbrainzngs,
            python3-feedparser,
            libwebkit2gtk-4.0-37,
            libkeybinder-3.0-0,
            librsvg2-2,
            streamripper,
            bpm-tools,
            python3-mox3,
            python3-pytest
Suggests: moodbar,
          python-cddb,
          gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-ugly
Description: flexible, full-featured audio player
 Exaile is a media player which incorporates many of the cool things from
 Amarok (and other media players) like automatic fetching of album art,
 handling of large libraries, lyrics fetching, artist/album information via
 Wikipedia, last.fm support, and optional iPod support (assuming you have
 python-gpod installed).
 .
 In addition, Exaile also includes tabbed playlists (so you can have more
 than one playlist open at a time), blacklisting of tracks (so they don't
 get scanned into your library), downloading of guitar tablature from
 fretplay.com, and submitting played tracks on your iPod to last.fm.
 .
 Exaile aims to be similar to AmaroK, but uses Python and GTK+.
