=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/exaile/ PREFIX=/usr

# Don't run test suite.
override_dh_auto_test:
