=== debian/changelog ===
exaile (4.1.3+dfsg-2ubuntu1) noble; urgency=medium

  * Drop hardcoded libgtk-3-0 dependency; gir1.2-gtk-3.0 gets the right one

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 23 Mar 2024 20:30:18 +0100

exaile (4.1.3+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:09:54 +0000

exaile (4.1.3+dfsg-2) unstable; urgency=low

  * Adding explicit dependencies for gir1.2-girepository-2.0
    and other typelibs (Closes: #1059625)

 -- luzip665 <luzip665@posteo.de>  Sat, 30 DEC 2023 12:32:16 +0200

exaile (4.1.3+dfsg-1) unstable; urgency=low

  * Adding support for tagging aac files with id3 tags
  * Change flac/ogg metadata handling for bpm and comment
  * Adding a message window to inform about changes regarding the tagging
  * Bugfix: Adding of unsupported file types will be prevented

 -- luzip665 <luzip665@posteo.de>  Sun, 13 Aug 2023 12:32:16 +0200

exaile (4.1.3~beta3+dfsg-1) unstable; urgency=low

  * Reintroduce package (Closes: #785897, #1012202)

 -- luzip665 <luzip665@posteo.de>  Tue, 25 Apr 2023 16:22:44 +0200
