=== debian/control ===
Source: exaile
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: luzip665 <luzip665@posteo.de>
Build-Depends: debhelper-compat (= 13), python3 (>= 3.6), python3-sphinx (>= 1.6), python3-gi-cairo (>=3.26), help2man
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://exaile.org

Package: exaile
Architecture: all
Depends:
 python3 (>= 3.6),
 python3-bsddb3 (>=6.1),
 gstreamer1.0-plugins-good (>=1.14),
 python3-mutagen (>=1.38),
 python3-gi-cairo (>=3.26),
 python3-dbus,
 gir1.2-atk-1.0,
 gir1.2-gdk-3.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gio-2.0,
 gir1.2-girepository-2.0,
 gir1.2-glib-2.0,
 gir1.2-gobject-2.0,
 gir1.2-gtk-3.0 (>=3.22),
 gir1.2-gst-plugins-base-1.0 (>=1.14),
 gir1.2-gstreamer-1.0,
 gir1.2-pango-1.0,
 ${misc:Depends}
Suggests:
 gir1.2-keybinder-3.0,
 gir1.2-pangocairo-1.0,
 gir1.2-notify-0.7,
 gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
 gvfs-backends (>=1.36),
 python3-feedparser,
 python3-libdiscid (>=2.0),
 python3-musicbrainzngs (>=0.7)
Description: Music player with a simple interface and powerful capabilities
 Exaile is a music player with a simple interface and powerful
 music management capabilities. Features include automatic fetching of album
 art, lyrics fetching, streaming internet radio, tabbed playlists, smart
 playlists with extensive filtering/search capabilities, and much more.
 .
 Exaile is written using Python and GTK+ and is easily extensible via plugins.
 There are over 50 plugins distributed with Exaile that include advanced track
 tagging, last.fm scrobbling, support for portable media players, podcasts,
 internet radio such as icecast and Soma.FM, ReplayGain, output via a secondary
 output device (great for DJs!), and much more.
 .
 For more information see https://www.exaile.org/
